Subject: Re: [rtcweb] Appropriateness of bypass mechanisms (Re: HTTP Fallback draft)

From: "Cullen Jennings (fluffy)" <[email-masked]>
Date: Fri, 7 Sep 2012 14:22:51 +0000

On Aug 8, 2012, at 9:28 AM, Harald Alvestrand <[email-masked]> wrote:

> Forking thread....
> 
> On 08/08/2012 05:05 PM, Cameron Byrne wrote:
>> 
>> 
>> Is this thread  really about the ietf engineering a way to by-pass network policy set by network operators?
>> 
> It's about getting stuff done in the presence of rules that hinder the "simple way".
> Those rules may be set that way deliberately, by ignorance, because of implementation limitations, or in error; there's no way to know.
> 
>> I do not believe that is acceptable.
>> 
> We've already done TURN, including TURN over TLS.

TURN was specifically designed to allow the network operator to be able to continue to control and enforce policies similar to what they currently do in their firewalls. You will note Kaufman strongly disagreed with this design principle and would have done the permissions in TURN significantly differently - that would have actually made TURN faster and easier to use but would have removed this property. We choice to stay on the path of "not violating or circumventing the will of network administrators". 

That said, I think the discussion about making media relay / tunnel protocol that masquerades as HTTPS is leaping of the edge of the slippery slope. I have mixed feelings about if that is wise or not but that's a long discussion.

> 
> Old quote: "This is not about starting down the slippery slope; this is about how far we slide into the muck at the bottom".

Agree with that :-)